<h2>Manage Products</h2>
<hr/>
<div class="create-product">
  <div class="col-12 col-md-8">
    <div class="card-custom">
      <div class="card-title">
        <h5 class="font-weight-bold">Create Product</h5>
        <small class="text-muted">** All fields are required</small>
      </div>
      <div class="card-body flex-column">

        <div class="col-12">
          <div class="form-group">
            <label class="label">Name</label>
            <input type="text" name="name" [(ngModel)]="this.product.name" placeholder="Name" required />
          </div>
        </div>

        <div class="col-12">
          <div class="form-group">
            <label class="label">Description</label>
            <textarea name="name" [(ngModel)]="this.product.description" placeholder="Description" required></textarea>
          </div>
        </div>

        <div class="flex-row">
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="label">Category</label>
              <select name="name" [(ngModel)]="this.product.category_id" required>
                <option value="" disabled>Category</option>
                <option *ngFor="let category of categories" value="{{ category._id }}">{{ category.category_name }}</option>
              </select>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="label">Price</label>
              <input type="number" name="price" [(ngModel)]="this.product.price" placeholder="Price" required />
            </div>
          </div>
        </div>

        <div class="flex-row">
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="label">Tags</label>
              <div class="tag-input">
                <div class="input">
                  <input type="text" (keyup)="addTag($event)" name="tag" placeholder="Type tag and press ENTER to add" />
                </div>
                <div class="tag-list">
                  <div *ngFor="let entry of this.product.tag" class="tags btn-custom sm btn-capsule-custom text-center">
                      <span (click)="removeTag(entry)" class="close-icon text-center">
                        <i class="lni-close"></i>
                      </span>
                    {{ entry }}
                  </div>
                  <div class="w-100 text-center text-muted" *ngIf="!this.product.tag.length">
                    No tags added
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="label">Color</label>
              <div class="tag-input">
                <div class="input">
                  <input type="color" (change)="addColor()" [(ngModel)]="colorPicker" name="color" placeholder="Select color to add" />
                </div>
                <div class="tag-list">
                  <div *ngFor="let entry of this.product.color" [ngStyle]="{ 'background-color': entry, 'color': (entry === '#ffffff' ? '#000000' : '#FFFFFF') }" class="colors text-center">
                      <span (click)="removeColor(entry)" class="close-icon text-center">
                        <i class="lni-close"></i>
                      </span>
                    {{ entry }}
                  </div>
                  <div class="w-100 text-center text-muted" *ngIf="!this.product.color.length">
                    No colors added
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="col-12">
          <div class="form-group">
            <label class="label">Images</label>
            <input style="display: none;" type="file" (change)="fileChangeEvent($event)" #fileInput multiple />
            <div class="image-input">
              <div *ngFor="let file of this.files" class="image-item">
                <span (click)="removeImage(file)" class="close-icon"><i class="lni-close"></i></span>
                <img class="imgSrc" width="100%" height="100%" [src]="file.filePreview" />
              </div>
              <div (click)="selectFile()" class="btn-image justify-content-center align-middle text-center">
                <span class="align-middle"><i class="lni-gallery"></i></span>
              </div>
            </div>
          </div>
        </div>

      </div>
      <div class="card-action text-center">
        <button (click)="createProduct()" class="btn-custom">
          <i class="lni-check-mark-circle"></i> Create Product
        </button>
      </div>
    </div>
  </div>
  <div class="col-12 col-md-4">
    <form>
      <div class="card-custom">
        <div class="card-title">
          <h5 class="font-weight-bold">Add Category</h5>
        </div>
        <div class="card-body">
          <div class="form-group">
            <label class="label">Category Name</label>
            <input type="text" name="category_name" [(ngModel)]="this.category.category_name" placeholder="Category Name" required />
          </div>
        </div>
        <div class="card-action text-center">
          <button (click)="createCategory()" class="btn-custom w-100">
            <i class="lni-plus"></i> Add Category
          </button>
        </div>
      </div>
    </form>
  </div>
</div>
